%ifarch %{x8664} %{armv7} %{armv8} aarch64 ppc64
%define		with_criu	1
%endif

%ifarch %{ix86} %{x8664} %{arm} aarch64 mips64 mips64le ppc64 ppc64le s390x
%define		with_man	1
%endif

Summary:	OCI runtime written in C
Name:		crun
Version:	1.15
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.zst
# Source0-md5:	5389e4db1106358a0d92b8c00ea53f67
URL:		https://github.com/containers/crun
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11.2
%{?with_criu:BuildRequires:	criu-devel >= 3.16.1}
%{?with_man:BuildRequires:	go-md2man}
BuildRequires:	libcap-devel
BuildRequires:	libseccomp-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:3.18
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-modules
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	yajl-devel >= 2.0.0
BuildRequires:	zstd
Requires:	yajl >= 2.0.0
%{?with_criu:Suggests:	criu-libs >= 3.16.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
crun is a runtime for running OCI containers.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcrun.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/crun
%{?with_man:%{_mandir}/man1/crun.1*}
%changelog
* Fri May 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crun.git;a=log;h=master

* Thu May 02 2024 Jan Palus <atler@pld-linux.org> 49e687f
- up to 1.15

* Thu Feb 29 2024 Jan Palus <atler@pld-linux.org> 4bb765d
- up to 1.14.4

* Sun Feb 25 2024 Jan Palus <atler@pld-linux.org> 80abc7d
- up to 1.14.3

* Thu Feb 08 2024 Jan Palus <atler@pld-linux.org> 36a86ce
- up to 1.14.1

* Wed Jan 24 2024 Jan Palus <atler@pld-linux.org> 34b0f27
- up to 1.14

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> 644f227
- up to 1.13

* Thu Nov 23 2023 Jan Palus <atler@pld-linux.org> 77a1033
- up to 1.12

* Tue Nov 07 2023 Jan Palus <atler@pld-linux.org> 8a26e2e
- up to 1.11.2

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 20b8644
- up to 1.11.1

* Thu Oct 26 2023 Jan Palus <atler@pld-linux.org> 2640531
- up to 1.11

* Thu Oct 19 2023 Jan Palus <atler@pld-linux.org> d752adb
- up to 1.10

* Thu Sep 28 2023 Jan Palus <atler@pld-linux.org> d69e1b1
- up to 1.9.2

* Thu Sep 28 2023 Jan Palus <atler@pld-linux.org> 216a8b5
- BR: python3-modules and drop BR: python3-devel

* Tue Sep 26 2023 Jan Palus <atler@pld-linux.org> 49ca680
- up to 1.9.1

* Thu Sep 07 2023 Jan Palus <atler@pld-linux.org> 31e3d01
- up to 1.9

* Mon Aug 21 2023 Jan Palus <atler@pld-linux.org> eb9bed8
- up to 1.8.7

* Thu Jul 27 2023 Jan Palus <atler@pld-linux.org> 83d4883
- up to 1.8.6

* Sat May 20 2023 Jan Palus <atler@pld-linux.org> 35fa785
- up to 1.8.5

* Thu Apr 13 2023 Jan Palus <atler@pld-linux.org> 68f335b
- up to 1.8.4

* Sat Mar 25 2023 Jan Palus <atler@pld-linux.org> e51274b
- up to 1.8.3

